#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: libkcddb
Summary: Library for retrieving and sending cddb information
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 3
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(libmusicbrainz5)


%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%package -n kcm_cddb
Summary: KCM module for configuring cddb information
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Group: Sound/Utilities
Suggests:  kcm_cddb-handbook >= %{epoch}:%{version}
Obsoletes: libkcddb < 3:4.9.0
Conflicts: %{_lib}kcddb4 < 3:4.9.0
Conflicts: kde4-audiocd < 3:4.8.97

%description -n kcm_cddb
This package provides the KCM configuration tool for cddb.

%files -n kcm_cddb
%_kde_libdir/kde4/kcm_cddb.so
%_kde_datadir/config.kcfg/libkcddb.kcfg
%_kde_services/libkcddb.desktop

#-----------------------------------------------------------------------------
%package -n kcm_cddb-handbook
Summary: Handbook package for kcm_cddb
Group: Documentation
Requires: kcm_cddb = %{epoch}:%{version}
BuildArch: noarch
Conflicts: libkcddb < 3:4.9.0
Conflicts: kde4-audiocd-handbook < 3:4.9.0

%description -n kcm_cddb-handbook
This package provides the handbook for KCM cddb.

%files -n kcm_cddb-handbook
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kcontrol/cddbretrieval

#------------------------------------------------------------------------------
%define kcddb_major 4
%define libkcddb %mklibname kcddb %kcddb_major

%package -n %{libkcddb}
Summary: %{name} library
Group: System/Libraries

%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%_kde_libdir/libkcddb.so.%{kcddb_major}*

#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kcddb -d

%package -n %{libkcddb_devel} 
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkcddb = %epoch:%version-%release
Provides: libkcddb-devel = %epoch:%version-%release
Provides: kcddb-devel = %epoch:%version-%release
Conflicts: kdemultimedia4-devel < 3:4.8.97
Conflicts: libkcddb-devel < 3:4.9.2-1
Obsoletes: libkcddb-devel < 3:4.9.2-1

%description -n %{libkcddb_devel} 
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel} 
%_kde_libdir/libkcddb.so
%_kde_libdir/cmake/libkcddb
%_kde_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 3:4.12.5-1.mga4
+ Revision: 641364
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555054
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551326
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539788
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490666
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488653
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476711
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465104
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458972
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455358
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447849
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435019
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428319
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407138
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401932
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394323
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 357570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339291
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334473
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Tue Dec 04 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326615
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320161
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316114
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 305721
- Fix devel package
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289643
- Update tarball to KDE SC 4.9.1

  + fwang <fwang>
    - bump conflicts on %%{_lib}kcddb4 for file movements
    - tag handbook package as noarch

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276625
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Fix files list in library package
- Add a kcm subpackage (more correct name than libkcddb)
- Add handbook subpackage

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269709
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-2.mga3
+ Revision: 265891
- add conflicts to ease upgrade

* Sat Jun 30 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 265258
- update file list
- imported package libkcddb

